<?PHP
/**
* News Module
*
* Gets all the news headlines
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>
* @module news
* @modulegroup modules
* @access public
* @version 1.0.0 
*/


class newsHeadlines{  
    var $_pageContent;
    var $_objTemplate;
    var $dateFormat;
    var $arrSettings = array();

    
	// CONSTRUCTOR
    function newsHeadlines($pageContent){
    	$this->getSettings();
	    $this->_pageContent = $pageContent;
	    $this->_objTemplate = &new HTML_Template_Sigma('.');
	    $this->dateFormat = "d.m.Y";
	}
	
    function getSettings(){
    	global $objDatabase;   	
        $objResult = $objDatabase->Execute("SELECT name, value FROM ".DBPREFIX."module_news_settings");        
        if ($objResult !== false) {
		    while (!$objResult->EOF) {
			    $this->arrSettings[$objResult->fields['name']] = $objResult->fields['value'];
			    $objResult->MoveNext();
		    }
        }
    }  	
	
    	
	function getHomeHeadlines() {
		global $_CONFIG, $_ARRAYLANG, $objDatabase, $_LANGID;	
		
		$newsLimit = intval($this->arrSettings['news_headlines_limit']);
		if($newsLimit<1 OR $newsLimit>50){
			$newsLimit=10;
		}	
			   
		$this->_objTemplate->setTemplate($this->_pageContent,true,true);		
		$this->_objTemplate->setCurrentBlock('headlines_row');
		
		$objResult = $objDatabase->SelectLimit("SELECT id, 
		                   title,
		                   date
		              FROM ".DBPREFIX."module_news 
		             WHERE status = 1
		               AND lang=".$_LANGID."
		               AND (startdate<=CURDATE() OR startdate='0000-00-00')
		               AND (enddate>=CURDATE() OR enddate='0000-00-00') 		
		          ORDER BY id DESC", $newsLimit);
		
		if ($objResult !== false && $objResult->RecordCount()>=0) {
			while (!$objResult->EOF) {
			    $this->_objTemplate->setVariable("HEADLINE_DATE", date($this->dateFormat, $objResult->fields['date']));
				$this->_objTemplate->setVariable("HEADLINE_LINK", "<a href=\"?section=news&amp;cmd=details&amp;newsid=".$objResult->fields['id']."\" title=\"".stripslashes($objResult->fields['title'])."\">".stripslashes($objResult->fields['title'])."</a>");	
				$this->_objTemplate->parseCurrentBlock();
				$objResult->MoveNext();
			}
			$this->_objTemplate->setVariable("TXT_MORE_NEWS", $_ARRAYLANG['TXT_MORE_NEWS']);
		} else {
		    $this->_objTemplate->hideBlock('headlines_row');
		}					
		return $this->_objTemplate->get();
	}	
}
?>
