<?php
/**
* Class docSys
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>         
* @module docsys
* @modulegroups modules                    
* @access public
* @version 1.0.0                                        
*/

require_once ASCMS_MODULE_PATH . '/docsys/xmlfeed.class.php';
require_once ASCMS_MODULE_PATH . '/docsys/lib/Library.class.php';


class docSysManager extends docSysLibrary
{
    var $_objTpl;
	var $pageTitle;
	var $pageContent;
	var $statusMessage="";
	var $langId;

	
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function docSysManager()
    { 
    	global  $_ARRAYLANG, $objInit, $objTemplate;
    	
        $this->_objTpl = &new HTML_Template_Sigma(ASCMS_MODULE_PATH.'/docsys/template');
        $this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
        
        $objTemplate->setVariable("CONTENT_NAVIGATION","<a href='?cmd=docsys'>[".$_ARRAYLANG['TXT_DOC_SYS_MENU_OVERVIEW']."]</a>
                                                      <a href='?cmd=docsys&amp;act=add'>[".$_ARRAYLANG['TXT_CREATE_DOCUMENT']."]</a>&nbsp; 
                                                      <a href='?cmd=docsys&amp;act=cat'>[".$_ARRAYLANG['TXT_CATEGORY_MANAGER']."]</a>&nbsp;");
		
        $this->pageTitle = $_ARRAYLANG['TXT_DOC_SYS_MANAGER'];
        $this->langId=$objInit->userFrontendLangId;               
    }

    
    /**
    * Do the requested newsaction
    *
    * @return    string    parsed content                                                                               
    */
    function getDocSysPage()
    {
    	global $objTemplate;
    	
    	if(!isset($_GET['act'])){
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act']){
			case "add":
		        $this->add();
		        // $this->overview();	
			break;
									    
			case "edit":
				$this->edit();
			break;
			
			case "delete":
			    $this->delete();
			    $this->overview();
			break;
			
			case "update":
			    $this->update();
			    $this->overview();
			break;
			
			case "cat":
			    $this->manageCategories();
			    break;
			    
			case "delcat":
			    $this->deleteCat();
			    $this->manageCategories();
			    break;

			case "changeStatus":
				$this->changeStatus();
				$this->overview();
				break;
								
			default:             
			    $this->overview();               	        	     		        
		}
		
		$objTemplate->setVariable(array(
			'CONTENT_TITLE'				=> $this->pageTitle,
			'CONTENT_STATUS_MESSAGE'	=> $this->statusMessage,
			'ADMIN_CONTENT'				=> $this->_objTpl->get()
		));
    }
    
    /**
    * List up the news for edit or delete 
    *  
    * @global	 object    $db   
    * @param     integer   $newsid
    * @param     string	   $what
    * @return    string    $output                                                                               
    */
    function overview()
    {
    	global $db, $_ARRAYLANG, $_CONFIG;
    	
    	// initialize variables
    	$i=0;
    	
    	$this->_objTpl->loadTemplateFile('module_docsys_list.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_DOC_SYS_MANAGER'];
		
    	$this->_objTpl->setVariable(array(
    	    'TXT_EDIT_DOCSYS_MESSAGE'    => $_ARRAYLANG['TXT_EDIT_DOCUMENTS'],
    	    'TXT_EDIT_DOCSYS_ID'         => $_ARRAYLANG['TXT_DOCUMENT_ID'],
    	    'TXT_ARCHIVE'                => $_ARRAYLANG['TXT_ARCHIVE'],
    	    'TXT_DATE'                   => $_ARRAYLANG['TXT_DATE'],
    	    'TXT_TITLE'                  => $_ARRAYLANG['TXT_TITLE'],
    	    'TXT_USER'                   => $_ARRAYLANG['TXT_USER'],
    	    'TXT_LAST_EDIT'              => $_ARRAYLANG['TXT_LAST_EDIT'],  	    
    	    'TXT_ACTION'                 => $_ARRAYLANG['TXT_ACTION'],
    	    'TXT_CATEGORY'               => $_ARRAYLANG['TXT_CATEGORY'],
            'TXT_CONFIRM_DELETE_DATA'    => $_ARRAYLANG['TXT_DOCUMENT_DELETE_CONFIRM'],
            'TXT_ACTION_IS_IRREVERSIBLE' => $_ARRAYLANG['TXT_ACTION_IS_IRREVERSIBLE'],	
            'TXT_SELECT_ALL'             => $_ARRAYLANG['TXT_SELECT_ALL'],
            'TXT_REMOVE_SELECTION'       => $_ARRAYLANG['TXT_REMOVE_SELECTION'],   
            'TXT_EDIT'                   => $_ARRAYLANG['TXT_EDIT'],	
            'TXT_MARKED'                 => $_ARRAYLANG['TXT_MARKED'], 
            'TXT_ACTIVATE'               => $_ARRAYLANG['TXT_ACTIVATE'],	
            'TXT_DEACTIVATE'             => $_ARRAYLANG['TXT_DEACTIVATE'],  
            'TXT_STATUS'                 => $_ARRAYLANG['TXT_STATUS'], 
            'TXT_AUTHOR'                 => $_ARRAYLANG['TXT_AUTHOR'],                              	    
    	));
    	
    	$this->_objTpl->setGlobalVariable(array(
    		'TXT_DELETE'	=> $_ARRAYLANG['TXT_DELETE']
    	));
		
	  	/**************************************
		 	paging start
		 **************************************/
		$query = "SELECT n.id AS docSysId,	
		                 n.date AS date, 	
		                 n.changelog AS changelog, 			
		                 n.title AS title,
		                 n.status AS status,
		                 n.author AS author,
		                 l.name AS name,
		                 nc.name AS catname,
		                 u.username AS username 
		            FROM ".DBPREFIX."module_docsys_categories AS nc,
		                 ".DBPREFIX."module_docsys AS n, 
		                 ".DBPREFIX."languages AS l, 
				         ".DBPREFIX."access_users AS u
		           WHERE n.lang=l.id 
		             AND n.lang=".$this->langId." 
		             AND nc.catid=n.catid 
		             AND u.id=n.userid
		        ORDER BY n.id DESC";
		
		$db->query($query);
		$count = $db->num_rows();
		$pos = (isset($_GET['pos'])) ? intval($_GET['pos']) : 0; 
		$paging = ($count>intval($_CONFIG['corePagingLimit'])) ? getPaging($count, $pos, "&amp;cmd=docsys", $_ARRAYLANG['TXT_DOCUMENTS '],true) : "";		
		$query = "$query LIMIT $pos, {$_CONFIG['corePagingLimit']}";			
		
		$db->query($query);
		$this->_objTpl->setCurrentBlock('row');
		while($db->next_record()){
            $class = ($i % 2) ? "row2" : "row1";
            $i++;            
            $statusPicture = ($db->f('status')==1) ? "status_green.gif" : "status_red.gif";            
                      
		    $this->_objTpl->setVariable(array(
                'DOCSYS_ID'         =>$db->f('docSysId'),
                'DOCSYS_DATE'       =>date(ASCMS_DATE_FORMAT, $db->f('date')),                
                'DOCSYS_TITLE'      =>stripslashes($db->f('title')),
                'DOCSYS_AUTHOR'      =>stripslashes($db->f('author')),
                'DOCSYS_USER'       =>$db->f('username'),
                'DOCSYS_CHANGELOG'  =>date(ASCMS_DATE_FORMAT, $db->f('changelog')), 
                'DOCSYS_PAGING'     =>$paging,
                'DOCSYS_CLASS'      =>$class,
                'DOCSYS_CATEGORY'   =>$db->f('catname'),
                'DOCSYS_STATUS'     =>$db->f('status'),
                'DOCSYS_STATUS_PICTURE' => $statusPicture,                 
			));
			$this->_objTpl->parseCurrentBlock("row");
		}
    }

    
  
    
    /**
    * adds a news entry
    * 
    * @global	 object    $db     
    * @param     integer   $newsid -> the id of the news entry
    * @return    boolean   result                                                                              
    */
    function add()
    {
	    global $db, $_ARRAYLANG;
	    
	    $this->_objTpl->loadTemplateFile('module_docsys_modify.html',true,true);
	    $this->pageTitle = $_ARRAYLANG['TXT_CREATE_DOCUMENT'];
	    
	    $this->_objTpl->setVariable(array(
	        'TXT_DOCSYS_MESSAGE'     => $_ARRAYLANG['TXT_ADD_DOCUMENT'],
	        'TXT_TITLE'           	 => $_ARRAYLANG['TXT_TITLE'],
	        'TXT_CATEGORY'        	 => $_ARRAYLANG['TXT_CATEGORY'],
	        'TXT_HYPERLINKS'      	 => $_ARRAYLANG['TXT_HYPERLINKS'],
	        'TXT_EXTERNAL_SOURCE' 	 => $_ARRAYLANG['TXT_EXTERNAL_SOURCE'],
	        'TXT_LINK'            	 => $_ARRAYLANG['TXT_LINK'],
	        'TXT_DOCSYS_CONTENT'     => $_ARRAYLANG['TXT_CONTENT'],
	        'TXT_STORE'           	 => $_ARRAYLANG['TXT_STORE'],
	        'TXT_PUBLISHING'      	 => $_ARRAYLANG['TXT_PUBLISHING'],
	        'TXT_STARTDATE'       	 => $_ARRAYLANG['TXT_STARTDATE'],
	        'TXT_ENDDATE'         	 => $_ARRAYLANG['TXT_ENDDATE'],	
	        'TXT_OPTIONAL'           => $_ARRAYLANG['TXT_OPTIONAL'],	
	        'TXT_ACTIVE'             => $_ARRAYLANG['TXT_ACTIVE'],	        			        
			'DOCSYS_TEXT'            => get_wysiwyg_editor('docSysText', '', 'active'),
			'DOCSYS_FORM_ACTION'     => "add",
			'DOCSYS_STORED_FORM_ACTION' => "add",
			'DOCSYS_STATUS'          => "checked='checked'",			   		    
			'DOCSYS_ID'         	 => "",
			'DOCSYS_TOP_TITLE'       => $_ARRAYLANG['TXT_CREATE_DOCUMENT'],
			'DOCSYS_CAT_MENU'        => $this->getCategoryMenu($this->langId, $selectedOption=""),
			'DOCSYS_STARTDATE'       => "",
			'DOCSYS_ENDDATE' => "",	
			'DOCSYS_DATE'  => date("Y-m-d"),
            'TXT_AUTHOR' => $_ARRAYLANG['TXT_AUTHOR'],
            'DOCSYS_AUTHOR' => $_SESSION['auth']['username'],    						
		));
		
		if (isset($_POST['docSysTitle']) AND !empty($_POST['docSysTitle'])) {
    	    $this->insert();
    	    $this->createRSS();       	               
		}
    }     


    
    
    /**
    * Deletes a news entry
    *
    * @global	 object    $db      
    * @global	 array     $_ARRAYLANG       
    * @return    -                                                                             
    */
    function delete()
    {
	    global $db, $_ARRAYLANG;
	    
	    $newsId = "";
	    if(isset($_GET['id'])){
	    	$docSysId = intval($_GET['id']);			    
		    $delete = $db->query("DELETE FROM ".DBPREFIX."module_docsys WHERE id = $docSysId");
		    if ($delete) {
		    	$this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
		    	$this->createRSS();
		    } else {
		    	$this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
		    }	    
	    } 
	    			
		if(is_array($_POST['selectedId'])) {
			foreach ($_POST['selectedId'] as $value) {
				if (!empty($value)) {
				    $db->query("DELETE FROM ".DBPREFIX."module_docsys WHERE id = ".intval($value));
				    if($db) {
				    	$this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
				    	$this->createRSS();
				    } else {
			            $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
				    }				    																
				} 				 	
			}
		}	  	       
    }    

    
    
    
    /**
    * Edit the news
    *
    * @global    object     $db
    * @param     string     $pageContent                                                                             
    */
    function edit()
    { 	   	
    	global $db, $_ARRAYLANG;   
    	
		$status = "";	
		$startDate = "";
		$endDate = "";	    		
    	
    	$this->_objTpl->loadTemplateFile('module_docsys_modify.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_EDIT_DOCUMENTS'];

		$this->_objTpl->setVariable(array(
		    'TXT_DOCSYS_MESSAGE'  => $_ARRAYLANG['TXT_EDIT_DOCUMENTS'],
		    'TXT_TITLE'           => $_ARRAYLANG['TXT_TITLE'],
		    'TXT_CATEGORY'        => $_ARRAYLANG['TXT_CATEGORY'],
		    'TXT_HYPERLINKS'      => $_ARRAYLANG['TXT_HYPERLINKS'],
		    'TXT_EXTERNAL_SOURCE' => $_ARRAYLANG['TXT_EXTERNAL_SOURCE'],
		    'TXT_LINK'            => $_ARRAYLANG['TXT_LINK'],
		    'TXT_DOCSYS_CONTENT'  => $_ARRAYLANG['TXT_CONTENT'],
		    'TXT_STORE'           => $_ARRAYLANG['TXT_STORE'],
	        'TXT_PUBLISHING'      => $_ARRAYLANG['TXT_PUBLISHING'],
	        'TXT_STARTDATE'       => $_ARRAYLANG['TXT_STARTDATE'],
	        'TXT_ENDDATE'         => $_ARRAYLANG['TXT_ENDDATE'],	
	        'TXT_OPTIONAL'        => $_ARRAYLANG['TXT_OPTIONAL'],	
	        'TXT_ACTIVE'=> $_ARRAYLANG['TXT_ACTIVE'],	
	        'TXT_AUTHOR' => $_ARRAYLANG['TXT_AUTHOR'],    		    
		));
		
		$id = intval($_REQUEST['id']);
		
		$db->query("SELECT catid,
						   lang,
						   id,
						   title,
		                   author,
						   text,
						   source,
						   url1,
						   url2,
						   startdate,
						   enddate,
						   status 
		              FROM ".DBPREFIX."module_docsys 
		             WHERE id = '$id' 
		             LIMIT 1");
		
		if($db->next_record()) {
			$catId=$db->f('catid');
			$id = $db->f('id');
			$docSysText = stripslashes($db->f('text'));
			
			if($db->f('status')==1) {
				$status = "checked";
			}		         
			if($db->f('startdate')!="0000-00-00") {
				$startDate = $db->f('startdate');
			}			
			if($db->f('enddate')!="0000-00-00") {
				$endDate = $db->f('enddate');
			}			
			
			$this->_objTpl->setVariable(array(
				'DOCSYS_ID'		    => $id,
				'DOCSYS_STORED_ID'	=> $id,
				'DOCSYS_TITLE'		=> stripslashes(htmlspecialchars($db->f('title'))),
				'DOCSYS_AUTHOR'		=> stripslashes(htmlspecialchars($db->f('author'))),				
				'DOCSYS_TEXT'		=> get_wysiwyg_editor('docSysText', $docSysText, 'active'),			
				'DOCSYS_SOURCE'	    => $db->f('source'),
				'DOCSYS_URL1'		=> $db->f('url1'),
				'DOCSYS_URL2'		=> $db->f('url2'),
				'DOCSYS_STARTDATE'	=> $startDate,
				'DOCSYS_ENDDATE'	=> $endDate,
				'DOCSYS_STATUS'		=> $status,	
				'DOCSYS_DATE'       => date("Y-m-d"),			
			));
		}
	
		$this->_objTpl->setVariable("DOCSYS_CAT_MENU",$this->getCategoryMenu($this->langId, $catId));
		$this->_objTpl->setVariable("DOCSYS_FORM_ACTION","update");
	    $this->_objTpl->setVariable("DOCSYS_STORED_FORM_ACTION","update"); 
	    $this->_objTpl->setVariable("DOCSYS_TOP_TITLE",$_ARRAYLANG['TXT_EDIT']);
    }    
    
    

    
    /**
    * Update news
    * 
    * @global	 object    $db     
    * @return    boolean   result                                                                              
    */
    function update()
    {
	    global $db, $_ARRAYLANG, $_CONFIG;
			    
	    if (isset($_GET['id'])) {
	    	$id = intval($_GET['id']);
		    $userId = $_SESSION['auth']['userid'];	    	    
		    $changelog = mktime();
		    $date = date(ASCMS_DATE_FORMAT);
		    $title = get_magic_quotes_gpc() ? strip_tags($_POST['docSysTitle']) : addslashes(strip_tags($_POST['docSysTitle']));
		    $text = get_magic_quotes_gpc() ? $_POST['docSysText'] : addslashes($_POST['docSysText']);
		    $title= str_replace("","ss",$title); 
		    $text = $this->filterBodyTag($text);
		    $text = str_replace("","ss",$text); 		
		    $source	= get_magic_quotes_gpc() ? strip_tags($_POST['docSysSource']) : addslashes(strip_tags($_POST['docSysSource']));
		    $url1 = get_magic_quotes_gpc() ? strip_tags($_POST['docSysUrl1']) : addslashes(strip_tags($_POST['docSysUrl1']));
		    $url2 = get_magic_quotes_gpc() ? strip_tags($_POST['docSysUrl2']) : addslashes(strip_tags($_POST['docSysUrl2']));
		    $catId = intval($_POST['docSysCat']);		    
		    $status = (!empty($_POST['status'])) ? intval($_POST['status']) : 0;
		    $startDate = get_magic_quotes_gpc() ? strip_tags($_POST['startDate']) : addslashes(strip_tags($_POST['startDate']));
		    $endDate = get_magic_quotes_gpc() ? strip_tags($_POST['endDate']) : addslashes(strip_tags($_POST['endDate']));
		    $author =  get_magic_quotes_gpc() ? strip_tags($_POST['author']) : addslashes(strip_tags($_POST['author']));
		    	    	    		        
		    $db->query("UPDATE ".DBPREFIX."module_docsys
					       SET title='$title', 
		                       author='".$author."',
		                       text='$text', 
		                       source='$source', 
		                       url1='$url1', 
		                       url2='$url2', 
		                       catid='$catId', 
		                       lang='$this->langId',
		                       userid = '$userId',
		                       status = '$status',
		                       startdate = '$startDate',
		                       enddate = '$endDate',
		                       changelog = '$changelog'
	                     WHERE id = '$id'");
		   if(!$db) {
		   	    $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
		   } else {
	            $this->createRSS();
	            $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
		   }
        }
    }


    
    
    
    
    /**
    * Update news
    * 
    * @global	 object    $db    
    * @global	 array     $_POST
    * @param     integer   $newsid
    * @return    boolean   result                                                                              
    */
	function changeStatus()
	{
		global $db, $_ARRAYLANG, $_CONFIG;
		   	
		if(isset($_POST['deactivate']) AND !empty($_POST['deactivate'])){	
			$status = 0;
		}		
		if(isset($_POST['activate']) AND !empty($_POST['activate'])){	
			$status = 1;
		}		
		if(isset($status)){				
			if(is_array($_POST['selectedId'])){
				foreach ($_POST['selectedId'] as $value){
					if (!empty($value)){
					    $db->query("UPDATE ".DBPREFIX."module_docsys SET status = '$status' WHERE id = ".intval($value));
					} 
				    if(!$db){
				   	    $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
				    } else{
			            $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
				    }				 	
				}
			}	
		}
    }    

    
    
    /**
    * Insert news
    *  
    * @global	 object    $db     
    * @return    boolean   result                                                                              
    */
    function insert()
    {
	    global $db, $_ARRAYLANG;

	    $date = mktime();
	    $title = get_magic_quotes_gpc() ? strip_tags($_POST['docSysTitle']) : addslashes(strip_tags($_POST['docSysTitle']));
	    $author = get_magic_quotes_gpc() ? strip_tags($_POST['author']) : addslashes(strip_tags($_POST['author']));
	    $text = get_magic_quotes_gpc() ? $_POST['docSysText'] : addslashes($_POST['docSysText']);	            
	        
	    $title = str_replace("","ss",$title); 
	    $text = str_replace("","ss",$text); 
	    $text = $this->filterBodyTag($text);
	    
	    $source = get_magic_quotes_gpc() ? strip_tags($_POST['docSysSource']) : addslashes(strip_tags($_POST['docSysSource']));
	    $url1 = get_magic_quotes_gpc() ? strip_tags($_POST['docSysUrl1']) : addslashes(strip_tags($_POST['docSysUrl1']));
	    $url2 = get_magic_quotes_gpc() ? strip_tags($_POST['docSysUrl2']) : addslashes(strip_tags($_POST['docSysUrl2']));	    
	    
	    $cat = intval($_POST['docSysCat']);
	    $userid = intval($_SESSION['auth']['userid']);

	    $startDate = get_magic_quotes_gpc() ? strip_tags($_POST['startDate']) : addslashes(strip_tags($_POST['startDate']));
	    $endDate = get_magic_quotes_gpc() ? strip_tags($_POST['endDate']) : addslashes(strip_tags($_POST['endDate']));		    
	    
	    $status = intval($_POST['status']);
	    if($status == 0) {
	        $startDate = "";
	        $endDate = "";
	    }
	
	    $db->query("INSERT INTO ".DBPREFIX."module_docsys 
	                            ( id,
							      date,
							      title,
	                              author,
							      text,
							      source,
							      url1,
							      url2,
							      catid,
							      lang, 
								  startdate,
								  enddate,
								  status,
							      userid, 
							      changelog )
	                     VALUES ( '',
	                              '$date', 
								  '$title',
	                              '$author',
								  '$text', 
								  '$source', 
								  '$url1', 
								  '$url2', 
								  '$cat',
								  '$this->langId',
	                              '$startDate',
	                              '$endDate',
	                              '$status',
								  '$userid',
								  '$date')");
	    
        if ($db){
    	    $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
        } else {
        	$this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
        }
        $this->overview();
    }   
    
    
    
    /**
    * Add or edit the news categories
    *
    * @global    object     $db
    * @global    array      $_ARRAYLANG
    * @param     string     $pageContent                                                                           
    */
    function manageCategories()
    {
    	global $db,$_ARRAYLANG;
    	
    	$this->_objTpl->loadTemplateFile('module_docsys_category.html',true,true);
		$this->pageTitle = $_ARRAYLANG['txtCategoryManager'];
		
    	$this->_objTpl->setVariable(array(
    	    'TXT_ADD_NEW_CATEGORY'                       => $_ARRAYLANG['TXT_ADD_NEW_CATEGORY'],
    	    'TXT_NAME'                                   => $_ARRAYLANG['TXT_NAME'],
    	    'TXT_ADD'                                    => $_ARRAYLANG['TXT_ADD'],
    	    'TXT_CATEGORY_LIST'                          => $_ARRAYLANG['TXT_CATEGORY_LIST'],
    	    'TXT_ID'                                     => $_ARRAYLANG['TXT_ID'],
    	    'TXT_ACTION'                                 => $_ARRAYLANG['TXT_ACTION'],
    	    'TXT_ACCEPT_CHANGES'                         => $_ARRAYLANG['TXT_ACCEPT_CHANGES'],
    	    'TXT_CONFIRM_DELETE_DATA'                    => $_ARRAYLANG['TXT_CONFIRM_DELETE_DATA'],
    	    'TXT_ACTION_IS_IRREVERSIBLE'                 => $_ARRAYLANG['TXT_ACTION_IS_IRREVERSIBLE'],
    	    'TXT_ATTENTION_SYSTEM_FUNCTIONALITY_AT_RISK' => $_ARRAYLANG['TXT_ATTENTION_SYSTEM_FUNCTIONALITY_AT_RISK'],   	       	       	    
    	));
    	
    	$this->_objTpl->setGlobalVariable(array(
    		'TXT_DELETE'	=> $_ARRAYLANG['TXT_DELETE']
    	));
    	
    	// Add a new category
    	if (isset($_POST['addCat']) AND ($_POST['addCat']==true)){
    		 $catName = get_magic_quotes_gpc() ? strip_tags($_POST['newCatName']) : addslashes(strip_tags($_POST['newCatName']));	   		 
    	     if($db->query("INSERT INTO ".DBPREFIX."module_docsys_categories (name,lang) 
    	                         VALUES ('$catName','$this->langId')"))
    	     {
    	     	$this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
    	     } else {
    	     	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
    	     }
    		
    	}
    	
    	// Modify a new category
    	if (isset($_POST['modCat']) AND ($_POST['modCat']==true)) {
    		foreach ($_POST['catName'] as $id => $name) {			
				$name = get_magic_quotes_gpc() ? strip_tags($name) : addslashes(strip_tags($name));
				$id=intval($id);
				
			    if($db->query("UPDATE ".DBPREFIX."module_docsys_categories 
			                      SET name='$name',
			                          lang='$this->langId' 
			                    WHERE catid=$id"))
			    {
			    	$this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
			    } else {
			    	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
			    }
		    }
    	}
		
		$db->query("SELECT catid, 
		                   name
		              FROM ".DBPREFIX."module_docsys_categories
		             WHERE lang='$this->langId' 
		          ORDER BY catid asc");	
		
		$this->_objTpl->setCurrentBlock('row');
		$i=0;
		
		while($db->next_record()){
			$class = (($i % 2) == 0) ? "row1" : "row2";
			$this->_objTpl->setVariable(array(
			    'DOCSYS_ROWCLASS'   => $class,
				'DOCSYS_CAT_ID'	  => $db->f('catid'),
				'DOCSYS_CAT_NAME'	  => stripslashes($db->f('name')),
			));
			$this->_objTpl->parseCurrentBlock('row');
			$i++;
		};
    }


    
    /**
    * Delete the news categories
    *
    * @global    object     $db
    * @global    array      $_ARRAYLANG[news*]
    * @param     string     $pageContent                                                                           
    */
    function deleteCat(){
    	global $db,$_ARRAYLANG;

    	if(isset($_GET['catId'])) {
    	    $catId=intval($_GET['catId']);   	    
    	    $db->query("SELECT id FROM ".DBPREFIX."module_docsys WHERE catid=$catId");
    	    
    	    if ($db->next_record()) {
    	         $this->statusMessage = $_ARRAYLANG['TXT_CATEGORY_NOT_DELETED_BECAUSE_IN_USE'];	
    	    } else {
    	        if($db->query("DELETE FROM ".DBPREFIX."module_docsys_categories WHERE catid=$catId")) {	
    	            $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];	
    	        } else {
    	        	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];	
    	        }
    	    }
    	}
    }
    
    
    /**
    * Gets only the body content and deleted all the other tags
    *
    * @param     string     $fullContent      HTML-Content with more than BODY
    * @return    string     $content          HTML-Content between BODY-Tag                                                                
    */
    function filterBodyTag($fullContent){
	    $res=false;
	    $posBody=0;
	    $posStartBodyContent=0;
	    $res=preg_match_all("/<body[^>]*>/i", $fullContent, $arrayMatches);
	    if($res==true){
            $bodyStartTag = $arrayMatches[0][0];
            // Position des Start-Tags holen
            $posBody = strpos($fullContent, $bodyStartTag, 0);
            // Beginn des Contents ohne Body-Tag berechnen 
            $posStartBodyContent = $posBody + strlen($bodyStartTag);
	    }
	    $posEndTag=strlen($fullContent);
	    $res=preg_match_all("/<\/body>/i",$fullContent, $arrayMatches);
	    if($res==true){
            $bodyEndTag=$arrayMatches[0][0];
            // Position des End-Tags holen
            $posEndTag = strpos($fullContent, $bodyEndTag, 0);
            // Content innerhalb der Body-Tags auslesen
	     }
	     $content = substr($fullContent, $posStartBodyContent, $posEndTag  - $posStartBodyContent);
         return $content;
    }
       
    
    /**
    * Create the RSS-Feed
    *                                                             
    */    
    function createRSS()
    {
    	global $_CONFIG;
    	/*
		$RSS = new rssFeed();		
		$RSS->channelTitle = $_CONFIG['backendXmlChannelTitle'];
		$RSS->channelDescription = $_CONFIG['backendXmlChannelDescription'];
	
		$RSS->xmlType = "headlines";
		$RSS->createXML();	
		$RSS->xmlType = "fulltext";	
		$RSS->createXML();	
		*/
    }  
}
?>